This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1014517 - yum cache is outdated
yum cache is outdated
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
19
x86_64 Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 05:23 EDT by Marian
Modified: 2013-10-03 04:15 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 04:15:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian 2013-10-02 05:23:57 EDT
Description of problem:


Version-Release number of selected component (if applicable):
iputils = 20121221-2.fc19


How reproducible:


Steps to Reproduce:
1.repoquery -q --provides iputills
2.cat iputils.spec | grep Provides
3.

Actual results:
Results not mach

Expected results:


Additional info:
And this situation persist on more packages ....
Comment 1 Panu Matilainen 2013-10-03 04:15:59 EDT
You can't compare spec and binary package dependencies like that. Even if you're looking at the spec of the exact version repoquery is coming up with, there are automatically generated dependencies added, spec conditionals may be present that affect what gets added and then there are sub-packages coming from the same spec. For example with current F19 iputils, here's what I see:


[pmatilai@localhost iputils]$ grep Provides iputils.spec 
Provides: /bin/ping
Provides: /bin/ping6
Provides: /sbin/arping
Provides: /sbin/rdisc
Provides: %{_sbindir}/ninfod
[pmatilai@localhost iputils]$

[pmatilai@localhost iputils]$ repoquery -q --provides iputils
/bin/ping
/bin/ping6
/sbin/arping
/sbin/rdisc
config(iputils) = 20121221-2.fc19
iputils = 20121221-2.fc19
iputils(x86-64) = 20121221-2.fc19
[pmatilai@localhost iputils]$ 

The additional non-file provides are automatically generated, that is entirely normal. As for %{_sbindir}/ninfod, if you actually look at the spec, that provide doesn't belong to iputils at all:

%package ninfod
Group: System Environment/Daemons
Summary: Node Information Query Daemon
Requires: %{name} = %{version}-%{release}
Provides: %{_sbindir}/ninfod

NOTABUG for all I can tell, you need to look more carefully and be more specific if you think you're seeing an abnormal differences in the provides.

Note You need to log in before you can comment on or make changes to this bug.